Bug 84016 - [Qt] http/tests/xmlhttprequest/xmlhttprequest-check-head-readystate-for-404.html times out
Summary: [Qt] http/tests/xmlhttprequest/xmlhttprequest-check-head-readystate-for-404.h...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P3 Normal
Assignee: Jocelyn Turcotte
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks: 79668 83866
  Show dependency treegraph
 
Reported: 2012-04-16 03:05 PDT by Csaba Osztrogonác
Modified: 2012-05-15 08:33 PDT (History)
3 users (show)

See Also:


Attachments
Patch (3.34 KB, patch)
2012-05-15 06:26 PDT, Jocelyn Turcotte
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Csaba Osztrogonác 2012-04-16 03:05:11 PDT
http/tests/xmlhttprequest/xmlhttprequest-check-head-readystate-for-404.html
introduced in http://trac.webkit.org/changeset/114235 , but fails with
timeout on Qt bots:

--- /ramdisk/qt-linux-64-release/build/layout-test-results/http/tests/xmlhttprequest/xmlhttprequest-check-head-readystate-for-404-expected.txt 
+++ /ramdisk/qt-linux-64-release/build/layout-test-results/http/tests/xmlhttprequest/xmlhttprequest-check-head-readystate-for-404-actual.txt 
@@ -1,3 +1,4 @@
+FAIL: Timed out waiting for notifyDone to be called
 This tests the readyState of a XMLHttpRequset which is sent with a "HEAD" method to a not exist resource.
 
-PASS
+FAIL
Comment 1 Csaba Osztrogonác 2012-04-16 03:13:59 PDT
I skipped it - http://trac.webkit.org/changeset/114237/trunk/LayoutTests/platform/qt/Skipped

Please unskip with the proper fix.
Comment 2 Jocelyn Turcotte 2012-05-14 06:38:32 PDT
Was this easily reproducible? The test passes fine for me.
Comment 3 Jocelyn Turcotte 2012-05-14 06:39:19 PDT
(In reply to comment #2)
> Was this easily reproducible? The test passes fine for me.

Wait, wrong bug, please ignore.
Comment 4 Jocelyn Turcotte 2012-05-15 06:26:16 PDT
Created attachment 141947 [details]
Patch
Comment 5 Simon Hausmann 2012-05-15 06:52:56 PDT
Comment on attachment 141947 [details]
Patch

Looks reasonable. This is touchy code, glad it's covered by a test :)
Comment 6 Simon Hausmann 2012-05-15 06:53:19 PDT
Comment on attachment 141947 [details]
Patch

Oops, forgot the r+.
Comment 7 Jocelyn Turcotte 2012-05-15 07:28:51 PDT
Comment on attachment 141947 [details]
Patch

Thx!
Comment 8 WebKit Review Bot 2012-05-15 08:33:27 PDT
Comment on attachment 141947 [details]
Patch

Clearing flags on attachment: 141947

Committed r117071: <http://trac.webkit.org/changeset/117071>
Comment 9 WebKit Review Bot 2012-05-15 08:33:32 PDT
All reviewed patches have been landed.  Closing bug.